#include "slog.h"

void SLOG_RDEF_Assign(       SLOG_recdef_t        *recdef,
                       const SLOG_intvltype_t      in_intvltype,
                       const SLOG_bebit_t          in_bebit_0,
                       const SLOG_bebit_t          in_bebit_1,
                       const SLOG_N_assocs_t       in_Nassocs,
                       const SLOG_N_args_t         in_Nargs );

int SLOG_RDEF_Duplicated( const SLOG_recdefs_table_t  *recdefs,
                          const SLOG_recdef_t         *in_def );

int SLOG_RDEF_Open( SLOG_STREAM  *slog );

int SLOG_RDEF_AddRecDef(       SLOG_STREAM          *slog,
                         const SLOG_intvltype_t      intvltype,
                         const SLOG_bebit_t          bebit_0,
                         const SLOG_bebit_t          bebit_1,
                         const SLOG_N_assocs_t       Nassocs,
                         const SLOG_N_args_t         Nargs );

int SLOG_RDEF_Close( SLOG_STREAM  *slog );

void SLOG_RDEF_Free( SLOG_recdefs_table_t *recdefs );

int SLOG_RDEF_ReadRecDefs( SLOG_STREAM  *slog );

void SLOG_RDEF_Print( FILE* fd, const SLOG_recdefs_table_t *recdefs );
